> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Message Templates

> List all available message templates.



## OpenAPI

````yaml get /message-templates/
openapi: 3.1.0
info:
  title: thanks.io API
  description: >-
    Use the thanks.io API to send postcards, letters, notecards, windowless
    letters, and gift cards.
  contact:
    url: https://thanks.io
    email: support@thanks.io
  version: 1.0.0
servers:
  - url: https://api.thanks.io/api/v2
    description: The main API server for thanks.io
security:
  - bearerAuth: []
tags:
  - name: Recipients
  - name: Mailing Lists
  - name: Send Mailer
  - name: Order Estimates
  - name: Orders
  - name: Message Templates
  - name: Image Templates
  - name: Creatives Library
    description: >-
      Your Creatives library: saved pairings of an image template and a message
      template. Sending one by `creative_id` is the recommended way to send.
      Creatives are designed in your dashboard; these endpoints list and read
      them so your integration can find the right `creative_id`.
  - name: Handwriting Styles
  - name: Giftcards
  - name: Dynamic Images
    description: ''
  - name: Image Builder
  - name: Sub Accounts
  - name: Webhooks
  - name: Webhook Events
externalDocs:
  description: Learn more about thanks.io
  url: https://docs.thanks.io
paths:
  /message-templates/:
    get:
      tags:
        - Message Templates
      summary: List All
      description: List all available message templates.
      operationId: getMessageTemplates
      parameters:
        - $ref: '#/components/parameters/items_per_page'
        - $ref: '#/components/parameters/sub_account_id'
        - name: type
          in: query
          schema:
            type: string
            enum:
              - postcard
              - postcard6x9
              - postcard6x11
              - letter
              - windowlessletter
              - notecard
              - giftcard
              - magnacard
          description: Only return templates of this type. `postcard` is 4x6.
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/message-template'
                  links:
                    $ref: '#/components/schemas/links'
                  meta:
                    $ref: '#/components/schemas/meta'
              example:
                data:
                  - id: 1912
                    user_id: 2
                    sub_account_id: null
                    handwriting_style_id: 102
                    font_size: small
                    font_color: '#000000'
                    name: Thank You Message Templates
                    content: Dear %FIRST_NAME%\n\nThis is another test message.
                    additional_pages: null
                    skip_creative_generation: 0
                    custom_background_url: null
                    qrcode_url: https://www.google.com
                    cc_emails: []
                    created_at: '2026-08-05T02:38:44.000000Z'
                    updated_at: '2026-08-05T02:39:04.000000Z'
                    type: postcard
                    giftcard_brand_code: ''
                    giftcard_brand_image: null
                    giftcard_amount: ''
                    youtube_id: ''
                    landing_page_url: ''
                    share_uuid: TL9C-UUBP-SNT2-SX5Q
                    brand_data:
                      brand_code: amazonus
                      title: Amazon.com
                      image: https://cdn.thanks.io/giftcards/amazonus.png
                      available_amounts:
                        - 500
                        - 1000
                        - 1500
                        - 2000
                        - 2500
                        - 3000
                        - 4000
                        - 5000
                        - 10000
                        - 20000
                    handwriting_realism: false
                  - id: 1913
                    user_id: 2
                    sub_account_id: null
                    handwriting_style_id: 110
                    font_size: auto
                    font_color: rgba(31,0,113,0.80)
                    name: Birthday Card
                    content: >-
                      Hey %FIRST_NAME%!, 


                      THANK YOU for allowing us the opportunity to HELP you with
                      your plan!  


                      Happy Birthday!
                    additional_pages: null
                    skip_creative_generation: 0
                    custom_background_url: null
                    qrcode_url: ''
                    cc_emails: []
                    created_at: '2026-08-05T02:41:28.000000Z'
                    updated_at: '2026-08-05T02:41:32.000000Z'
                    type: giftcard
                    giftcard_brand_code: starbucksus
                    giftcard_brand_image: https://cdn.thanks.io/giftcards/starbucks.png
                    giftcard_amount: '2000'
                    youtube_id: ''
                    landing_page_url: ''
                    share_uuid: PKE4-QGHH-CHZ9-QV6G
                    brand_data:
                      brand_code: starbucksus
                      title: Starbucks
                      image: https://cdn.thanks.io/giftcards/starbucks.png
                      available_amounts:
                        - 500
                        - 1000
                        - 1500
                        - 2000
                        - 2500
                        - 5000
                        - 10000
                    handwriting_realism: false
                links:
                  first: https://api.thanks.io/api/v2/message-templates?page=1
                  last: https://api.thanks.io/api/v2/message-templates?page=71
                  prev: null
                  next: https://api.thanks.io/api/v2/message-templates?page=2
                meta:
                  current_page: 1
                  from: 1
                  last_page: 71
                  path: https://api.thanks.io/api/v2/message-templates
                  per_page: '2'
                  to: 2
                  total: 141
        '403':
          $ref: '#/components/responses/Unauthorized'
components:
  parameters:
    items_per_page:
      name: items_per_page
      in: query
      description: Number of items to return per page.
      required: false
      schema:
        type: integer
        default: 25
      example: 5
    sub_account_id:
      name: sub_account_id
      in: query
      description: Filter results by Sub Account ID.
      required: false
      schema:
        type: integer
      example: 1
  schemas:
    message-template:
      type: object
      properties:
        id:
          type: integer
          example: 2
        user_id:
          type: integer
          example: 2
        sub_account_id:
          type:
            - integer
            - 'null'
        handwriting_style_id:
          type: integer
          description: ID of the handwriting style used in the message template
          example: 18
        font_size:
          type: integer
          description: Font size used in the message template.  Only valid for AI fonts
          enum:
            - auto
            - large
            - medium
            - small
        font_color:
          type: string
          description: Font color used in the message template.
          example: '#000000'
        handwriting_realism:
          type: boolean
          description: >-
            Handwriting realism level used in the message template. Only valid
            for AI fonts
        name:
          type: string
          example: Thank You Message
        content:
          type: string
          example: >-
            Hey %FIRST_NAME%!,


            THANK YOU for allowing us the opportunity to HELP you with your
            plan!
        additional_pages:
          type: string
          format: uri
          description: >-
            URL to additional pages to include with the cover letter. Only valid
            for letter templates.
        skip_creative_generation:
          type: integer
          description: >-
            Flag to skip creative generation.  Set when message template is PDF
            file only.
          example: 0
        custom_background_url:
          type: string
          description: >-
            URL of the custom background image for the message template. Only
            valid for postcard backs and the interior background of notecards
            and giftcards.
          example: https://example.com/background.png
        qrcode_url:
          type: string
          description: URL of the QR code image for the message template
          example: https://thanks.io
        cc_emails:
          type: array
          description: List of email addresses to be CC'd on when a QR code is scanned
          items:
            type: string
            format: email
        created_at:
          type: string
          format: date-time
          example: '2018-08-08T02:56:59.000000Z'
        updated_at:
          type: string
          format: date-time
          example: '2025-02-12T05:13:15.000000Z'
        type:
          type: string
          example: notecard
          enum:
            - postcard
            - postcard6x9
            - postcard6x11
            - letter
            - windowlessletter
            - notecard
            - giftcard
            - magnacard
          description: Type of the message template
        giftcard_brand_code:
          type: string
          description: Brand code of the gift card
          example: amazonus
        giftcard_brand_image:
          type: string
          description: Image URL of the gift card brand
          example: https://cdn.thanks.io/giftcards/amazonus.png
        giftcard_amount:
          type: integer
          description: Amount of the gift card in cents
          example: 5000
        landing_page_url:
          type: string
          format: uri
          description: >-
            URL of the gated landing page (also known as a gating URL).
            Recipients must visit this page before they can redeem the gift
            card, letting you gate redemption behind an action such as booking a
            demo or completing a form. Only valid for giftcards.
        share_uuid:
          type: string
          example: 5J5N-QAD3-6LLL-LSZZ
    links:
      type: object
      properties:
        first:
          type:
            - string
            - 'null'
          description: URL of the first page of results
        last:
          type:
            - string
            - 'null'
          description: URL of the last page of results
        prev:
          type:
            - string
            - 'null'
          description: URL of the previous page of results
        next:
          type:
            - string
            - 'null'
          description: URL of the next page of results
    meta:
      type: object
      properties:
        current_page:
          type: integer
          example: 1
          description: Current page number
        from:
          type:
            - integer
            - 'null'
          example: 1
          description: Index of the first item on the current page
        last_page:
          type: integer
          example: 1
          description: Total number of pages
        path:
          type: string
          description: Base URL for the resource
        per_page:
          type: integer
          example: 25
          description: Number of items per page
        to:
          type:
            - integer
            - 'null'
          example: 1
          description: Index of the last item on the current page
        total:
          type: integer
          example: 1
          description: Total number of items
  responses:
    Unauthorized:
      description: Access token is missing or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthorized
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication using your thanks.io API key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.